
QGIS Application - Bug report #20686

Problem met with QGIS 2.18.21 linked with GRASS 7.4.1 plug-in on Windows 7 and on Linux Ubuntu 

release 18.04 LTS

2018-11-30 03:03 PM - Phoebe DeToulouse

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.21 Regression?: No

Operating System: Windows 7 & Linux Ubuntu release 18.04 LTSEasy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28506

Description

Hi,

I met a bug when I use GRASS plug-in with the v.out.ogr functionality :

I enter the name of the input vector map to export : ex: PARCELLE

Then I choose the format used to write the output file: "ESRI_shapefile" 

Then I enter the new name of the vector file with the extension : PARCELLE.shp

Then I keep and tick 'Enregistrer seulement un lien vers l'entité' Logged only one link to the the entity

With QGIS, if I add the new layer of vector Parcelle then I print the properties of the layer PARCELLE with the command layer/properties

then in properties of the layer/style the columns cannot appear after the statistical calculation of slope with r.slope command and then with

v.rast.stats functionality.

So, the Solution is as follows : we must choose another output format file like "MapInfo File" to write in the output file

=> two output file are created: one of them is PARCELLE.mif and the other one PARCELLE.mid is created.

With Linux Ubuntu prompt terminal I write as follows : ogr2ogr -f "ESRI shapefile" PARCELLE_stat.shp PARCELLE_stat.mif

and then we get all the associated output vector files particularly PARCELLE.shp 

And then we check on QGIS in the properties of the layer PARCELLE item Style we can see all the statistical columns: mean, sum,

standard deviation, minimum, maximum, number,... calculated with the v.rast.stats functionality.

In this case, all work then!

Cheers for solving this bug!

Regards,

Phoebe from Toulouse

Related issues:

Duplicated by QGIS Application - Bug report # 20683: QGIS 2.18.21 desktop en ... Closed 2018-11-30

History

#1 - 2018-11-30 11:43 PM - Jürgen Fischer

- Duplicated by Bug report #20683: QGIS 2.18.21 desktop en interface avec GRASS 7.4.1 added

#2 - 2018-12-01 11:18 AM - Phoebe DeToulouse

- Assignee set to Jürgen Fischer

- File PARCELLES_statistiques.shp added

Hi,
I have just added some more details to succeed to solve the bug.

I met a bug when I use GRASS plug-in with the v.out.ogr functionality :

I enter the name of the input vector map to export : ex: PARCELLE

Then I choose the format used to write the output file: "ESRI_shapefile" 

Then I enter the new name of the vector file with the extension : PARCELLE.shp

Then I keep and tick 'Enregistrer seulement un lien vers l'entité' Logged only one link to the the entity

With QGIS, if I add the new layer of vector Parcelle then I print the properties of the layer PARCELLE with the command layer/properties then in properties

of the layer/style the columns cannot appear after the statistical calculation of slope with r.slope command and then with v.rast.stats functionality.

So, the Solution is as follows : we must choose another output format file like "MapInfo File" to write in the output file otherwise if you choose "ESRI

shapefile " output format file it will not add columns with all the statistical columns data: mean, sum, standard deviation, minimum, maximum, number,..

calculated with the v.rast.stats functionality.

=> two output file are created: one of them is PARCELLE.mif and the other one PARCELLE.mid is created.

With Linux Ubuntu prompt terminal I write as follows : ogr2ogr -f "ESRI shapefile" PARCELLE_stat.shp PARCELLE_stat.mif

and then we get all the associated output vector files particularly PARCELLE.shp

And then we check on QGIS in the properties of the layer PARCELLE item Style we can see all the statistical columns: mean, sum, standard deviation,

minimum, maximum, number,... calculated with the v.rast.stats functionality.

In this case, all work then!

Cheers for solving this bug!

Regards,

Phoebe from Toulouse

#3 - 2018-12-01 10:45 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#4 - 2019-01-20 10:26 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.4 - 2.18 is no longer supported

#5 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-02-24 10:05 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

PARCELLES_statistiques.shp 4.53 MB 2018-11-30 Phoebe DeToulouse

PARCELLES_statistiques.shp 4.53 MB 2018-12-01 Phoebe DeToulouse
